<div class="search ion-padding-horizontal ion-padding-top">
    <ion-grid class="ion-no-padding">
        <div *ngIf="advanced && title.length > 0" class="ion-margin-top mb-10">
            <ion-text color="silver" class="weight-700 size-12">
                {{ title }}
            </ion-text>
        </div>
        <ion-row class="ion-nowrap">
            <ion-col class="ion-no-padding">
                <ion-input
                    [(ngModel)]="searchTerm.value.search"
                    [control]="searchTerm"
                    data-testid="search-input"
                    name="search"
                    class="border-left-1 border-top-1 border-bottom-1 border-right-0 border-solid ion-padding radius-tl-6 radius-bl-6 height-38"
                    color="medium"
                    placeholder="Médecin, Spécialité..."
                    (ionFocus)="onEnter()"
                ></ion-input>
            </ion-col>

            <ion-col class="ion-no-padding" size="auto">
                <app-button
                    data-testid="search-button"
                    color="secondary"
                    type="submit"
                    expand="full"
                    (onClick)="find()"
                    icon="search"
                    iconSize="size-24"
                    class="search__cta width-36 height-38 has-background-secondary ion-align-items-center ion-justify-content-center"
                >
                </app-button>
            </ion-col>
        </ion-row>
    </ion-grid>
    <ion-row
        *ngIf="advanced"
        class="ion-align-items-center ion-nowrap mb-2 mt-10"
    >
        <ion-col size="auto" class="ion-no-padding search__location">
            <ion-icon name="location" class="mr-5"></ion-icon>
        </ion-col>
        <ion-col size="auto" class="ion-no-padding">
            <ion-text color="gray" class="size-12 weight-600"
                >Près de :
                <span *ngIf="location.city.trim().length > 0"
                    >{{ location.city }}, {{ location.country }}</span
                ></ion-text
            >
            <ion-text class="size-10" color="blue-dark" data-test-id="position">
                (
                <a routerLink="/location">
                    <ng-template
                        [ngIf]="location.city.trim().length === 0"
                        [ngIfElse]="update"
                    >
                        Choisir
                    </ng-template>
                    <ng-template #update> Modifier </ng-template>
                </a>
                )</ion-text
            >
        </ion-col>
    </ion-row>
</div>
